Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 162140 - operation on 'nbr_opened_channels' may be undefined
Summary: operation on 'nbr_opened_channels' may be undefined
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnomemeeting
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-30 09:59 UTC by David Binderman
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-08-14 12:50:34 UTC
Type: ---


Attachments (Terms of Use)

Description David Binderman 2005-06-30 09:59:11 UTC
Description of problem:

I just tried to compile package gnomemeeting-1.2.1-1 from Redhat
Fedora Core development tree with the gcc 4.0.0 compiler and
the compiler flag -Wall.

The compiler said

sound_handling.cpp:486: warning: operation on 'nbr_opened_channels' may be undefined

The source code is

  nbr_opened_channels = PMAX (nbr_opened_channels--, 0);

I agree with the compiler. Suggest avoid post decrement on macro
parameters.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Alexander Larsson 2006-08-14 12:50:34 UTC
Seems fixed in later versions.


Note You need to log in before you can comment on or make changes to this bug.